﻿

Public Class frmMain

    Dim myCalc As New Calc

    Private _x As String
    Public Property x() As String
        Get
            Return _x
        End Get
        Set(ByVal value As String)
            _x = value
        End Set
    End Property

    Private Sub AllRadioButtons_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles rdoAdd.CheckedChanged, rdoSubtract.CheckedChanged, _
                    rdoMultiply.CheckedChanged, rdoDivide.CheckedChanged


        Dim whichButton As RadioButton = CType(sender, RadioButton)

        Dim myAnswer As Double = 0

        If whichButton.Checked = True Then
            If IsNumeric(txtFirst.Text.Trim) And IsNumeric(txtSecond.Text.Trim) Then

                Dim first As Double = CDbl(txtFirst.Text.Trim)
                Dim second As Double = CDbl(txtSecond.Text.Trim)

                Select Case whichButton.Name
                    Case "rdoAdd"
                        myCalc.Operation = "+"
                    Case "rdoSubtract"
                        myCalc.Operation = "-"
                    Case "rdoMultiply"
                        myCalc.Operation = "*"
                    Case "rdoDivide"
                        myCalc.Operation = "/"
                    Case Else
                        MsgBox("Please choose an operation")
                        Exit Sub
                End Select

                myAnswer = myCalc.Compute(first, second)

                MessageBox.Show("Your answer is " & FormatNumber(myAnswer.ToString, 2), "Ron's Calculator", _
                                   MessageBoxButtons.OK, MessageBoxIcon.Information)

            Else
                MsgBox("Please enter both numbers")
            End If
        End If
    End Sub
End Class
